## org.h2.mvstore.db
Class MVTableEngine

    java.lang.Object
      org.h2.mvstore.db.MVTableEngine

All Implemented Interfaces:
  TableEngine

    public class MVTableEngine

extends java.lang.Object
implements TableEngine

A table engine that internally uses the MVStore.

Nested Class Summary
`static class` `MVTableEngine.Store` A store with open tables.

Constructor Summary
`MVTableEngine()`

Method Summary
`TableBase` `createTable(CreateTableData data)` Create new table.
`static MVTableEngine.Store` `init(Database db)` Initialize the MVStore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVTableEngine

    public MVTableEngine()

Method Detail

### init

    public static MVTableEngine.Store init(Database db)

  Initialize the MVStore.

  Parameters:
    `db` - the database
  Returns:
    the store

### createTable

    public TableBase createTable(CreateTableData data)

  Description copied from interface: `TableEngine`
  Create new table.

  Specified by:
    `createTable` in interface `TableEngine`
  Parameters:
    `data` - the data to construct the table
  Returns:
    the created table